<div class="container mt-2">
  <div *ngIf="(basket$ | async) === null">
    <p>There are no items in your basket</p>
  </div>

  <div *ngIf="basket$ | async as basket">
    <div class="pb-5">
      <div class="container">
        <div class="row">
          <div class="col-12 py-5 mb-1">
            <app-basket-summary
              (increment)="incrementItemQuantity($event)"
              (decrement)="decrementItemQuantity($event)"
              (remove)="removeBasketItem($event)"
              [items]="basket.items"
            ></app-basket-summary>
          </div>
        </div>
        <div class="row">
          <div class="col-6 offset-6">
            <app-order-totals
              *ngIf="basketTotals$ | async as basketTotals"
              [shippingPrice]="basketTotals.shipping"
              [subtotal]="basketTotals.subtotal"
              [total]="basketTotals.total"
            ></app-order-totals>
            <a
              routerLink="/checkout"
              class="btn btn-outline-primary py-2 btn-block"
              >Proceed to checkout</a
            >
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
